package com.engine.organization.entity.staff.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/06/07
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StaffsPO {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编制ID
     */
    private Long staffId;
    /**
     * 业务类型
     */
    private Integer businessType;
    /**
     * 编制变动数
     */
    private Integer changeNum;
    /**
     * 业务来源
     */
    private Integer businessSource;
    /**
     * 关联流程
     */
    private Integer requestId;

    /**
     * 调整说明
     */
    private String description;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
