package com.engine.organization.entity.extend.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/06/23
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExtendInfoParams {
    /**
     * 操作表对应主键
     */
    private Long id;
    /**
     * 操作表对应的字段
     */
    private String fields;
    /**
     * 操作的表明
     */
    private String tableName;

    /**
     * 参数信息
     */
    private Map<String, Object> params;
}
